<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Me and the monster game</title>
    <link rel="stylesheet" href="css/style.css">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
    <script src="https://code.jquery.com/jquery-3.4.1.slim.min.js" integrity="sha384-J6qa4849blE2+poT4WnyKhv5vZF5SrPo0iEjwBvKU7imGFAV0wwj1yYfoRSJoZ+n" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js" integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js" integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6" crossorigin="anonymous"></script>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">

    <script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>

</head>

<body>

    <div class="container mt-5">
        <div id="app">
            <div class="row">
                <div class="col-6">
                    <div class="row">
                        <div class="col-12 text-center mr-auto">
                            <h2 style="color: crimson;font-weight: 700;letter-spacing: 2px;">YOU</h2>
                            <img src="images/person.gif">
                        </div>
                    </div>
                    <div class="col-12 p-0">
                        <section id="userHealth" class="shadow">
                            <div id="userHealth" style="background-color: green;width: 100%;text-align: center;color: #fff;" :style="{width:userHealth + '%'}">
                                {{ userHealth + '%' }}
                            </div>
                        </section>
                    </div>
                </div>
                <div class="col-6">
                    <div class="row">
                        <div class="col-12 ml-auto text-center">
                            <h2 style="color: crimson;font-weight: 700;letter-spacing: 2px;">MONSTER</h2>
                            <img src="images/monster.gif" height="220px" width="220px">
                        </div>
                    </div>
                    <div class="col-12 p-0">
                        <section id="monsterHealth" class="shadow ml-auto">
                            <div id="monsterHealth" style="background-color: green;width: 100%;text-align: center;color: #fff;" :style="{width:monsterHealth + '%'}">
                                {{ monsterHealth + '%' }}
                            </div>
                        </section>
                    </div>
                </div>
            </div>
            <div class="row mt-5 text-center">
                <div class="col-12">
                    <section id="startGame" v-if="!running">
                        <button class="btn btn-primary" @click="start">Start Game</button>
                    </section>
                </div>
                <div class="col-12 mt-2">
                    <section id="allButton" v-if="running">
                        <button id="attack" class="btn btn-danger" @click="attack">Attack</button>
                        <button id="spattack" class="btn btn-info" @click="spattack">Special Attack</button>
                        <button id="heal" class="btn btn-primary" @click="heal">Heal</button>
                        <button id="giveup" class="btn btn-warning" @click="giveup">Give Up</button>
                    </section>
                </div>
            </div>
            <div class="row mt-5">
                <div class="col-12 text-center shadow">
                    <section id="result" v-if="li">
                        <ul>
                            <li style="font-size: 20px; letter-spacing: 3px; font-weight: 500;background-color: chocolate;color: #eee;border-radius: 10px;padding: 8px;">
                                <i class="fa fa-gavel" aria-hidden="true"></i>
                                <span>you harmed the monster with {{ this.lidata1[this.i] }}% </span>
                                <i class="fa fa-gavel" aria-hidden="true"></i>
                            </li>
                            <li style="font-size: 20px; letter-spacing: 3px; font-weight: 500;background-color:darkcyan;color: #eee;margin-top: 2px;border-radius: 10px;padding: 8px;">
                                <i class="fa fa-gavel" aria-hidden="true"></i>
                                <span>Monster harmed you with {{ this.lidata1[this.i-1] }}% </span>
                                <i class="fa fa-gavel" aria-hidden="true"></i>
                            </li>
                        </ul>
                        <!-- <ul v-for="data2 in lidata1">
                            <li> Monster harmed you with {{ data2 }}% </li>
                        </ul> -->
                    </section>
                </div>
            </div>
        </div>
    </div>


    <script src="js/vue.js"></script>
</body>

</html>